{% block Grille %}
    <div class="LGDataTablesCoche">
        <div id = "entityFormBaseGrille_DataTableInfos"></div>
        <table id="entityFormBaseGrille_DataTable_Intervenants" class="display" cellspacing="0" width="100%" >
            <thead>
                <tr id="entityFormBaseGrille_DataTableTitres"> <!-- iTable_Form_titres -->
                    {% block datatable_title %}
                        <th id="selectionner"><input name="actiBasesCompétences_ToggleAllCompétences_I" class="EFControl" value="1" id="select-all-I" type="checkbox" /></th>
                        <th id="cType_Res" style="display: none">cType_Res</th>
                        <th id="iidIntervenant" style="display: none">iId_Res</th>
                        <th id="cnom">Nom</th>
                        <th id="capacité">Capacité</th>
                        <th id="iId_ActiBase" style="display: none">iId_ActiBase</th>
                        {% endblock %}
                </tr>
            </thead>
            <tbody>
                {% block datatable_body %}
                    {% set iRow = 0 %}
                    {% for row in poListeIntervenants %}
                        <tr>
                            {% if(row.lcompetent is defined) %}
                                {% if(row.lcompetent == false) %}
                                    <td id ="row_{{ iRow|raw }}_selectionner"><input id="I" class="EFControl" type="checkbox" name="CocheI_{{ row.iid_res }}" value="{{ row.iid_res }}"><label hidden>0</label></td>
                                {% else %}
                                    <td id ="row_{{ iRow|raw }}_selectionner"><input id="I" class="EFControl" type="checkbox" name="CocheI_{{ row.iid_res }}" value="{{ row.iid_res }}" checked><label hidden>1</label></td>
                                {% endif %}
                            {% else %}
                                <td></td>
                            {% endif %}
                            <td id ="row_{{ iRow|raw }}_cType_Res" class="test" style="display: none" name="row_{{ iRow|raw }}_cType_Res">I</td>
                            <td id ="row_{{ iRow|raw }}_iid_res" style="display: none" name="row_{{ iRow|raw }}_iid_res"> {{ row.iid_res }} </td>
                            <td id ="row_{{ iRow|raw }}_cnom"> {{ row.cnom}} </td>
                            <td id ="row_{{ iRow|raw }}_capacité">auto</td>     
                            <td id ="row_{{ iRow|raw }}_iid_actibase" class="test" style="display: none" name="row_{{ iRow|raw }}_iid_actibase"> {{ row.iid_actibase}} </td>
                        </tr>
                        {% set iRow = iRow + 1%}
                    {% endfor %}
                {% endblock %}
            </tbody>
        </table>
        <div class='col-md-3'></div>
        <div id='Intervenants_Filter' class='col-md-3' style='padding-top: 0.755em;'></div>
    </div>
    <div id="example-console">
    </div>
{% endblock %}

<link type="text/css" href="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/css/dataTables.checkboxes.css" rel="stylesheet" />
<script type="text/javascript" src="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/js/dataTables.checkboxes.min.js"></script>
<script>

    $(document).ready(entityOngletsIntervenants_DocumentReady);
    function entityOngletsIntervenants_DocumentReady() {

        var lsNomEntité = "intervenant";
        tmp_onLGDataTableInitComplete = function (poLGDataTable) {};

        // Construire la datatable
        //AV 09/04/2019 début
        //LGDataTable_initGrille("entityFormBaseGrille_DataTable", lsNomEntité, {}, tmp_onLGDataTableInitComplete);
        LGDataTable_initGrille("entityFormBaseGrille_DataTable_Intervenants", lsNomEntité, {}, tmp_onLGDataTableInitComplete);
        //AV 09/04/2019 fin

        // Handle click on "Select all" control
        $('#select-all-I').on('click', function () {
            // Check/uncheck all checkboxes in the table
            actiBasesCompétences_ToggleAllCompétences('Intervenants', this);
        });

        // Handle click on checkbox to set state of "Select all" control
        $('#entityFormBaseGrille_DataTable_Intervenants tbody').on('change', 'input[type="checkbox"]', function () {
            // If checkbox is not checked
            actiBasesCompétences_ToggleCompétence('Intervenants', this);
        });
    }
</script>